POST api/VoucherPurchased

Request Information

URI Parameters

None.

Body Parameters

clsVoucherPurchasedDAL
NameDescriptionTypeAdditional information
VoucherPurchaseId

globally unique identifier

None.

VoucherId

globally unique identifier

None.

RegistrationId

globally unique identifier

None.

PurchaseDate

date

None.

VoucherValidUpto

date

None.

PurchaseThrough

globally unique identifier

None.

ProductSerialNo

string

None.

ProductPurchaseFromBDC

string

None.

ProductPackageId

globally unique identifier

None.

Status

string

None.

OrderNo

string

None.

Request Formats

application/json, text/json

Sample:
{
  "voucherPurchaseId": "cd500392-b504-4ce5-a9b7-f3921f74bdca",
  "voucherId": "116784e7-280b-464d-836a-05fb9dd23145",
  "registrationId": "813b1bec-a0e2-4dd4-8588-60a158147964",
  "purchaseDate": "2026-06-10T16:23:55.4089787+05:30",
  "voucherValidUpto": "2026-06-10T16:23:55.4089787+05:30",
  "purchaseThrough": "1fde0f2b-0a91-445b-adbd-bf498545b78a",
  "productSerialNo": "sample string 7",
  "productPurchaseFromBDC": "sample string 8",
  "productPackageId": "c1ab7244-e9bd-4621-9bfe-60c855377ed0",
  "status": "sample string 10",
  "orderNo": "sample string 11"
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'clsVoucherPurchasedDAL'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.